classification
Title: document the defaultTest parameter to unittest.main()
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, kyle.roberts, michael.foord, python-dev, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2013-02-24 00:14 by chris.jerdonek, last changed 2014-01-02 18:46 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
default_test_3.4.patch kyle.roberts, 2013-05-01 14:58 review
default_test_2.7-3.3.patch kyle.roberts, 2013-05-01 15:00 review
Messages (4)
msg182839 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-24 00:14
This issue is to document the defaultTest parameter to unittest.main():

http://docs.python.org/dev/library/unittest.html#unittest.main

Note that it is not enough simply to say that *defaultTest* is a "default test name or iterable of test names."  The documentation should also say when *defaultTest* is used based on the value of the *module* and *argv* arguments, etc.

This issue is an offshoot of issue 15132.
msg188230 - (view) Author: Kyle Roberts (kyle.roberts) Date: 2013-05-01 15:00
I've uploaded a patch documenting defaultTest in the latest branch and also in the previous branches.
msg207180 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-02 18:44
New changeset 045e7a587f3c by R David Murray in branch '3.3':
#17282: Document unittest.main defaultTest argument.
http://hg.python.org/cpython/rev/045e7a587f3c

New changeset 69b5f6924553 by R David Murray in branch '2.7':
#17282: Document unittest.main defaultTest argument.
http://hg.python.org/cpython/rev/69b5f6924553

New changeset 1bbf8c263d3c by R David Murray in branch 'default':
Merge and update #17282: Document unittest.main defaultTest argument.
http://hg.python.org/cpython/rev/1bbf8c263d3c
msg207182 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-01-02 18:46
Thanks Kyle.  I reworded it a bit to clarify the precedence of argv over defaultTest.  (Also FYI your patch had stray spaces at the ends of the lines.)
History
Date User Action Args
2014-01-02 18:46:34r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg207182

resolution: fixed
stage: patch review -> resolved
2014-01-02 18:44:50python-devsetnosy: + python-dev
messages: + msg207180
2013-05-10 04:45:14ezio.melottisetstage: needs patch -> patch review
versions: - Python 3.2
2013-05-01 15:00:14kyle.robertssetfiles: + default_test_2.7-3.3.patch
nosy: + kyle.roberts
messages: + msg188230

2013-05-01 14:58:13kyle.robertssetfiles: + default_test_3.4.patch
keywords: + patch
2013-02-24 00:14:54chris.jerdonekcreate